Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/menus

Create a menu

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Content-Typestringrequired

Body

NameTypeRequiredDescription
inputobjectrequired
input.displayNamestringrequired
input.currencyCodestringrequired
input.descriptionstringrequired
input.locationIdstringrequired
input.offeringsSectionobjectrequired
input.offeringsSection.displayNamestringrequired
input.offeringsSection.descriptionstringrequired
input.offeringsSection.offeringsItemobjectrequired
input.offeringsSection.offeringsItem.displayNamestringrequired
input.offeringsSection.offeringsItem.descriptionstringrequired
input.offeringsSection.offeringsItem.pricestringrequired

Request

Request
curl -X POST 'https://api.synup.com/api/v4/menus' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "displayName": "Dinner Menu",
    "currencyCode": "us_usd",
    "description": "Our full dinner menu",
    "locationId": "{locationId}",
    "offeringsSection": {
      "displayName": "Starters",
      "description": "Appetizers and small plates",
      "offeringsItem": {
        "displayName": "Bruschetta",
        "description": "Grilled bread with tomato",
        "price": "8.00"
      }
    }
  }
}'

Responses

StatusDescription
200
Example response (generated from the schema)
{}